# Uses of Class
net.sourceforge.jiu.codecs.UnsupportedCodecModeException

Packages that use UnsupportedCodecModeException
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.codecs.tiff

## Uses of UnsupportedCodecModeException in net.sourceforge.jiu.codecs

Methods in net.sourceforge.jiu.codecs that throw UnsupportedCodecModeException
Modifier and Type
Method
Description
`void`
ImageCodec.`setFile(File file, CodecMode codecMode)`
Gives a File object and a codec mode to this codec and attempts to initialize the appropriate I/O objects.
`void`
ImageCodec.`setFile(String fileName, CodecMode codecMode)`
Gives a file name and codec mode to the codec which will then try to create the corresponding I/O object.
`void`
PalmCodec.`setFile(String fileName, CodecMode codecMode)`
Reuses super.setFile when used for CodecMode.LOAD, but creates a RandomAccessFile instead of a FileOutputStream in write mode so that the compressed size can be written correcly (requires a seek operation).
`void`
PCDCodec.`setFile(String fileName, CodecMode codecMode)`
`void`
PNGCodec.`setFile(String fileName, CodecMode codecMode)`

## Uses of UnsupportedCodecModeException in net.sourceforge.jiu.codecs.tiff

Methods in net.sourceforge.jiu.codecs.tiff that throw UnsupportedCodecModeException
Modifier and Type
Method
Description
`void`
TIFFCodec.`setFile(String fileName, CodecMode codecMode)`